List Databases
GET
https://x.kupe.in
/
v1
/
orgs
/
{org_id}
/
projects
/
{project_id}
/
databases
List Databases
import requests
url = "https://x.kupe.in/v1/orgs/{org_id}/projects/{project_id}/databases"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://x.kupe.in/v1/orgs/{org_id}/projects/{project_id}/databases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://x.kupe.in/v1/orgs/{org_id}/projects/{project_id}/databases \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": "<string>",
"org_id": "<string>",
"project_id": "<string>",
"name": "<string>",
"post_call_analysis_id": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"description": "",
"source": "manual",
"auto_agent_id": "<string>",
"destinations": [
{
"kind": "webhook",
"url": "<string>",
"tool_id": "<string>",
"composio_slug": "<string>",
"connected_account_id": "<string>"
}
],
"fields": [
{
"name": "<string>",
"type": "string",
"description": "<string>",
"enum_values": [
"<string>"
]
}
],
"archived_at": "<string>"
}
],
"total": 0,
"limit": 50,
"offset": 0
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Project API key (sk-kupe-...) or a Supabase user JWT.
Query Parameters
Required range:
1 <= x <= 100Required range:
x >= 0⌘I
List Databases
import requests
url = "https://x.kupe.in/v1/orgs/{org_id}/projects/{project_id}/databases"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://x.kupe.in/v1/orgs/{org_id}/projects/{project_id}/databases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://x.kupe.in/v1/orgs/{org_id}/projects/{project_id}/databases \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": "<string>",
"org_id": "<string>",
"project_id": "<string>",
"name": "<string>",
"post_call_analysis_id": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"description": "",
"source": "manual",
"auto_agent_id": "<string>",
"destinations": [
{
"kind": "webhook",
"url": "<string>",
"tool_id": "<string>",
"composio_slug": "<string>",
"connected_account_id": "<string>"
}
],
"fields": [
{
"name": "<string>",
"type": "string",
"description": "<string>",
"enum_values": [
"<string>"
]
}
],
"archived_at": "<string>"
}
],
"total": 0,
"limit": 50,
"offset": 0
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}
